Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025653Runner[All Projects] WindowsPublic2017-02-14 15:262017-04-03 14:24
ReporterYellowAfterlife 
Assigned ToRussell Kay 
PriorityHighSeverityB - MajorReproducibility100%
StatusClosedResolutionFixed 
PlatformWindowsOSWindows 8OS Version8.1
Summary0025653: Windows: Creating a surface with >8192 width %='s the width by 8192
DescriptionNow, creating an oversized surface is no good, and it is expected that drawing past the boundary may not draw anything at all, but seeing the drawing area size modulo-ed is... new.

So, if you create a 8192+200px wide surface will actually only draw into first 200 pixels despite then saving a 8392 wide image as per usual.
1.4 Version7.7.1394
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon a_bug.gmz [^] (119,157 bytes) 2017-02-14 15:26

- Relationships

-  Notes
(0051577)
YellowAfterlife (Developer)
2017-02-14 15:41

To clarify, this appears to happen regardless of GPU - the one I have supports 16K textures, and other users are getting the same issue regardless of their setup.
(0051720)
Russell Kay (Manager)
2017-02-22 23:10

Fixed in gitlab - 1a21374 - internal layout imposed an artificial cap on surfaces at 8192
(0051873)
Ross Manthorp (Administrator)
2017-03-01 16:16

Verified v2.0.5.74 Runtime v2.0.5.49. Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker